Package org.apache.sysds.runtime.controlprogram.paramserv.rpc

# Class PSRpcResponse

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject
org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcResponse

public class PSRpcResponse extends PSRpcObject

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PSRpcResponse.Type`

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject

`PULL, PUSH`

## Constructor Summary

Constructors
Constructor
Description
`PSRpcResponse(ByteBuffer buffer)`
`PSRpcResponse(PSRpcResponse.Type status)`
`PSRpcResponse(PSRpcResponse.Type status, Object data)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deserialize(ByteBuffer buffer)`
`String`
`getErrorMessage()`
`ListObject`
`getResultModel()`
`boolean`
`isSuccessful()`
`ByteBuffer`
`serialize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PSRpcResponse

public PSRpcResponse(ByteBuffer buffer) throws IOException

Throws:
  `IOException`

### PSRpcResponse

public PSRpcResponse(PSRpcResponse.Type status)

### PSRpcResponse

public PSRpcResponse(PSRpcResponse.Type status, Object data)

## Method Details

### isSuccessful

public boolean isSuccessful()

### getErrorMessage

public String getErrorMessage()

### getResultModel

public ListObject getResultModel()

### deserialize

public void deserialize(ByteBuffer buffer) throws IOException

Specified by:
  `deserialize` in class `PSRpcObject`
Throws:
  `IOException`

### serialize

public ByteBuffer serialize() throws IOException

Specified by:
  `serialize` in class `PSRpcObject`
Throws:
  `IOException`